none
Framework 2.0 regasm breaks with SP1 installation RRS feed

  • General discussion

  • We have a situation where sometimes regasm becomes broken when framework 2.0 SP1 is installed. We have found that uninstalling/reinstalling SP1 fixes the problem, but that we'd like to identify what's causing the problem and how to prevent it. The problem seems to only occur on a machine where our product is (or has been) installed. The product includes vcredist_x86.exe and dotnetfx.exe sub-installs. The error message is generic "can't run", not much help.

     

    Does anyone have any ideas on this one?

     

    Thanks.

    Tuesday, April 8, 2008 5:47 PM

All replies

  • Do you mean SOMETIMES break or ALWAYS break regasm when .NET 2.0 sp1 is installed on the specific machine? What is the exact error message?

     

    You may also try utilizing the RegMonitor from http://technet.microsoft.com/en-us/sysinternals/default.aspx to see the problem underlying.

     

    Thanks
    Thursday, April 10, 2008 6:25 AM
  • We are able to see the behavior on several machines. Once it's fixed on a machine, we are unable to get it to break again. The exact error message is:

    "This application has failed to start because the application configuration is incorrect.

    Reinstalling the application may fix this problem."

    I googled the error and saw references to WinSxS and vcredist. We do include vcredist_x86.exe with our product.
    Thursday, April 10, 2008 3:42 PM